// Generated by ./elrond_helpers/gen_default_syscalls.py:
//
// ./elrond_helpers/gen_default_syscalls.py ./example-deps/musllibc/arch/aarch64_sel4/bits/syscall.h.in -x elrond_helpers/elrond_syscalls.c -o elrond_helpers/elrond_default_syscalls.c
//

#include <stdarg.h>
#include <errno.h>
#include <syscall.h>

long __elrond_sys0_default(va_list args) {
    return -ENOSYS;
}
__attribute__((weak, alias("__elrond_sys0_default")))
long __elrond_sys_default(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_io_setup(va_list args);
__attribute__((weak, alias("__elrond_sys0_io_setup")))
long __elrond_sys_io_setup(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_io_destroy(va_list args);
__attribute__((weak, alias("__elrond_sys0_io_destroy")))
long __elrond_sys_io_destroy(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_io_submit(va_list args);
__attribute__((weak, alias("__elrond_sys0_io_submit")))
long __elrond_sys_io_submit(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_io_cancel(va_list args);
__attribute__((weak, alias("__elrond_sys0_io_cancel")))
long __elrond_sys_io_cancel(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_io_getevents(va_list args);
__attribute__((weak, alias("__elrond_sys0_io_getevents")))
long __elrond_sys_io_getevents(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_setxattr")))
long __elrond_sys_setxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_lsetxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_lsetxattr")))
long __elrond_sys_lsetxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fsetxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_fsetxattr")))
long __elrond_sys_fsetxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_getxattr")))
long __elrond_sys_getxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_lgetxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_lgetxattr")))
long __elrond_sys_lgetxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fgetxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_fgetxattr")))
long __elrond_sys_fgetxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_listxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_listxattr")))
long __elrond_sys_listxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_llistxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_llistxattr")))
long __elrond_sys_llistxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_flistxattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_flistxattr")))
long __elrond_sys_flistxattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_removexattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_removexattr")))
long __elrond_sys_removexattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_lremovexattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_lremovexattr")))
long __elrond_sys_lremovexattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fremovexattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_fremovexattr")))
long __elrond_sys_fremovexattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getcwd(va_list args);
__attribute__((weak, alias("__elrond_sys0_getcwd")))
long __elrond_sys_getcwd(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_lookup_dcookie(va_list args);
__attribute__((weak, alias("__elrond_sys0_lookup_dcookie")))
long __elrond_sys_lookup_dcookie(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_eventfd2(va_list args);
__attribute__((weak, alias("__elrond_sys0_eventfd2")))
long __elrond_sys_eventfd2(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_epoll_create1(va_list args);
__attribute__((weak, alias("__elrond_sys0_epoll_create1")))
long __elrond_sys_epoll_create1(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_epoll_ctl(va_list args);
__attribute__((weak, alias("__elrond_sys0_epoll_ctl")))
long __elrond_sys_epoll_ctl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_epoll_pwait(va_list args);
__attribute__((weak, alias("__elrond_sys0_epoll_pwait")))
long __elrond_sys_epoll_pwait(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_dup(va_list args);
__attribute__((weak, alias("__elrond_sys0_dup")))
long __elrond_sys_dup(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_dup3(va_list args);
__attribute__((weak, alias("__elrond_sys0_dup3")))
long __elrond_sys_dup3(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fcntl(va_list args);
__attribute__((weak, alias("__elrond_sys0_fcntl")))
long __elrond_sys_fcntl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_inotify_init1(va_list args);
__attribute__((weak, alias("__elrond_sys0_inotify_init1")))
long __elrond_sys_inotify_init1(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_inotify_add_watch(va_list args);
__attribute__((weak, alias("__elrond_sys0_inotify_add_watch")))
long __elrond_sys_inotify_add_watch(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_inotify_rm_watch(va_list args);
__attribute__((weak, alias("__elrond_sys0_inotify_rm_watch")))
long __elrond_sys_inotify_rm_watch(va_list args);

extern long __elrond_sys0_ioctl(va_list args);
__attribute__((weak))
long __elrond_sys_ioctl(va_list args) {
    return __elrond_sys0_ioctl(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_ioprio_set(va_list args);
__attribute__((weak, alias("__elrond_sys0_ioprio_set")))
long __elrond_sys_ioprio_set(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_ioprio_get(va_list args);
__attribute__((weak, alias("__elrond_sys0_ioprio_get")))
long __elrond_sys_ioprio_get(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_flock(va_list args);
__attribute__((weak, alias("__elrond_sys0_flock")))
long __elrond_sys_flock(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mknodat(va_list args);
__attribute__((weak, alias("__elrond_sys0_mknodat")))
long __elrond_sys_mknodat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mkdirat(va_list args);
__attribute__((weak, alias("__elrond_sys0_mkdirat")))
long __elrond_sys_mkdirat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_unlinkat(va_list args);
__attribute__((weak, alias("__elrond_sys0_unlinkat")))
long __elrond_sys_unlinkat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_symlinkat(va_list args);
__attribute__((weak, alias("__elrond_sys0_symlinkat")))
long __elrond_sys_symlinkat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_linkat(va_list args);
__attribute__((weak, alias("__elrond_sys0_linkat")))
long __elrond_sys_linkat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_renameat(va_list args);
__attribute__((weak, alias("__elrond_sys0_renameat")))
long __elrond_sys_renameat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_umount2(va_list args);
__attribute__((weak, alias("__elrond_sys0_umount2")))
long __elrond_sys_umount2(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mount(va_list args);
__attribute__((weak, alias("__elrond_sys0_mount")))
long __elrond_sys_mount(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pivot_root(va_list args);
__attribute__((weak, alias("__elrond_sys0_pivot_root")))
long __elrond_sys_pivot_root(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_nfsservctl(va_list args);
__attribute__((weak, alias("__elrond_sys0_nfsservctl")))
long __elrond_sys_nfsservctl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_statfs(va_list args);
__attribute__((weak, alias("__elrond_sys0_statfs")))
long __elrond_sys_statfs(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fstatfs(va_list args);
__attribute__((weak, alias("__elrond_sys0_fstatfs")))
long __elrond_sys_fstatfs(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_truncate(va_list args);
__attribute__((weak, alias("__elrond_sys0_truncate")))
long __elrond_sys_truncate(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_ftruncate(va_list args);
__attribute__((weak, alias("__elrond_sys0_ftruncate")))
long __elrond_sys_ftruncate(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fallocate(va_list args);
__attribute__((weak, alias("__elrond_sys0_fallocate")))
long __elrond_sys_fallocate(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_faccessat(va_list args);
__attribute__((weak, alias("__elrond_sys0_faccessat")))
long __elrond_sys_faccessat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_chdir(va_list args);
__attribute__((weak, alias("__elrond_sys0_chdir")))
long __elrond_sys_chdir(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fchdir(va_list args);
__attribute__((weak, alias("__elrond_sys0_fchdir")))
long __elrond_sys_fchdir(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_chroot(va_list args);
__attribute__((weak, alias("__elrond_sys0_chroot")))
long __elrond_sys_chroot(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fchmod(va_list args);
__attribute__((weak, alias("__elrond_sys0_fchmod")))
long __elrond_sys_fchmod(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fchmodat(va_list args);
__attribute__((weak, alias("__elrond_sys0_fchmodat")))
long __elrond_sys_fchmodat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fchownat(va_list args);
__attribute__((weak, alias("__elrond_sys0_fchownat")))
long __elrond_sys_fchownat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fchown(va_list args);
__attribute__((weak, alias("__elrond_sys0_fchown")))
long __elrond_sys_fchown(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_openat(va_list args);
__attribute__((weak, alias("__elrond_sys0_openat")))
long __elrond_sys_openat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_close(va_list args);
__attribute__((weak, alias("__elrond_sys0_close")))
long __elrond_sys_close(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_vhangup(va_list args);
__attribute__((weak, alias("__elrond_sys0_vhangup")))
long __elrond_sys_vhangup(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pipe2(va_list args);
__attribute__((weak, alias("__elrond_sys0_pipe2")))
long __elrond_sys_pipe2(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_quotactl(va_list args);
__attribute__((weak, alias("__elrond_sys0_quotactl")))
long __elrond_sys_quotactl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getdents64(va_list args);
__attribute__((weak, alias("__elrond_sys0_getdents64")))
long __elrond_sys_getdents64(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_lseek(va_list args);
__attribute__((weak, alias("__elrond_sys0_lseek")))
long __elrond_sys_lseek(va_list args);

extern long __elrond_sys0_read(va_list args);
__attribute__((weak))
long __elrond_sys_read(va_list args) {
    return __elrond_sys0_read(args);
}

extern long __elrond_sys0_write(va_list args);
__attribute__((weak))
long __elrond_sys_write(va_list args) {
    return __elrond_sys0_write(args);
}

extern long __elrond_sys0_readv(va_list args);
__attribute__((weak))
long __elrond_sys_readv(va_list args) {
    return __elrond_sys0_readv(args);
}

extern long __elrond_sys0_writev(va_list args);
__attribute__((weak))
long __elrond_sys_writev(va_list args) {
    return __elrond_sys0_writev(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pread64(va_list args);
__attribute__((weak, alias("__elrond_sys0_pread64")))
long __elrond_sys_pread64(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pwrite64(va_list args);
__attribute__((weak, alias("__elrond_sys0_pwrite64")))
long __elrond_sys_pwrite64(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_preadv(va_list args);
__attribute__((weak, alias("__elrond_sys0_preadv")))
long __elrond_sys_preadv(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pwritev(va_list args);
__attribute__((weak, alias("__elrond_sys0_pwritev")))
long __elrond_sys_pwritev(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sendfile(va_list args);
__attribute__((weak, alias("__elrond_sys0_sendfile")))
long __elrond_sys_sendfile(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pselect6(va_list args);
__attribute__((weak, alias("__elrond_sys0_pselect6")))
long __elrond_sys_pselect6(va_list args);

extern long __elrond_sys0_ppoll(va_list args);
__attribute__((weak))
long __elrond_sys_ppoll(va_list args) {
    return __elrond_sys0_ppoll(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_signalfd4(va_list args);
__attribute__((weak, alias("__elrond_sys0_signalfd4")))
long __elrond_sys_signalfd4(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_vmsplice(va_list args);
__attribute__((weak, alias("__elrond_sys0_vmsplice")))
long __elrond_sys_vmsplice(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_splice(va_list args);
__attribute__((weak, alias("__elrond_sys0_splice")))
long __elrond_sys_splice(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_tee(va_list args);
__attribute__((weak, alias("__elrond_sys0_tee")))
long __elrond_sys_tee(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_readlinkat(va_list args);
__attribute__((weak, alias("__elrond_sys0_readlinkat")))
long __elrond_sys_readlinkat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fstatat(va_list args);
__attribute__((weak, alias("__elrond_sys0_fstatat")))
long __elrond_sys_fstatat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fstat(va_list args);
__attribute__((weak, alias("__elrond_sys0_fstat")))
long __elrond_sys_fstat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sync(va_list args);
__attribute__((weak, alias("__elrond_sys0_sync")))
long __elrond_sys_sync(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fsync(va_list args);
__attribute__((weak, alias("__elrond_sys0_fsync")))
long __elrond_sys_fsync(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fdatasync(va_list args);
__attribute__((weak, alias("__elrond_sys0_fdatasync")))
long __elrond_sys_fdatasync(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sync_file_range(va_list args);
__attribute__((weak, alias("__elrond_sys0_sync_file_range")))
long __elrond_sys_sync_file_range(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timerfd_create(va_list args);
__attribute__((weak, alias("__elrond_sys0_timerfd_create")))
long __elrond_sys_timerfd_create(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timerfd_settime(va_list args);
__attribute__((weak, alias("__elrond_sys0_timerfd_settime")))
long __elrond_sys_timerfd_settime(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timerfd_gettime(va_list args);
__attribute__((weak, alias("__elrond_sys0_timerfd_gettime")))
long __elrond_sys_timerfd_gettime(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_utimensat(va_list args);
__attribute__((weak, alias("__elrond_sys0_utimensat")))
long __elrond_sys_utimensat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_acct(va_list args);
__attribute__((weak, alias("__elrond_sys0_acct")))
long __elrond_sys_acct(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_capget(va_list args);
__attribute__((weak, alias("__elrond_sys0_capget")))
long __elrond_sys_capget(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_capset(va_list args);
__attribute__((weak, alias("__elrond_sys0_capset")))
long __elrond_sys_capset(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_personality(va_list args);
__attribute__((weak, alias("__elrond_sys0_personality")))
long __elrond_sys_personality(va_list args);

extern long __elrond_sys0_exit(va_list args);
__attribute__((weak))
long __elrond_sys_exit(va_list args) {
    return __elrond_sys0_exit(args);
}

extern long __elrond_sys0_exit_group(va_list args);
__attribute__((weak))
long __elrond_sys_exit_group(va_list args) {
    return __elrond_sys0_exit_group(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_waitid(va_list args);
__attribute__((weak, alias("__elrond_sys0_waitid")))
long __elrond_sys_waitid(va_list args);

extern long __elrond_sys0_set_tid_address(va_list args);
__attribute__((weak))
long __elrond_sys_set_tid_address(va_list args) {
    return __elrond_sys0_set_tid_address(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_unshare(va_list args);
__attribute__((weak, alias("__elrond_sys0_unshare")))
long __elrond_sys_unshare(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_futex(va_list args);
__attribute__((weak, alias("__elrond_sys0_futex")))
long __elrond_sys_futex(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_set_robust_list(va_list args);
__attribute__((weak, alias("__elrond_sys0_set_robust_list")))
long __elrond_sys_set_robust_list(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_get_robust_list(va_list args);
__attribute__((weak, alias("__elrond_sys0_get_robust_list")))
long __elrond_sys_get_robust_list(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_nanosleep(va_list args);
__attribute__((weak, alias("__elrond_sys0_nanosleep")))
long __elrond_sys_nanosleep(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getitimer(va_list args);
__attribute__((weak, alias("__elrond_sys0_getitimer")))
long __elrond_sys_getitimer(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setitimer(va_list args);
__attribute__((weak, alias("__elrond_sys0_setitimer")))
long __elrond_sys_setitimer(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_kexec_load(va_list args);
__attribute__((weak, alias("__elrond_sys0_kexec_load")))
long __elrond_sys_kexec_load(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_init_module(va_list args);
__attribute__((weak, alias("__elrond_sys0_init_module")))
long __elrond_sys_init_module(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_delete_module(va_list args);
__attribute__((weak, alias("__elrond_sys0_delete_module")))
long __elrond_sys_delete_module(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timer_create(va_list args);
__attribute__((weak, alias("__elrond_sys0_timer_create")))
long __elrond_sys_timer_create(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timer_gettime(va_list args);
__attribute__((weak, alias("__elrond_sys0_timer_gettime")))
long __elrond_sys_timer_gettime(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timer_getoverrun(va_list args);
__attribute__((weak, alias("__elrond_sys0_timer_getoverrun")))
long __elrond_sys_timer_getoverrun(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timer_settime(va_list args);
__attribute__((weak, alias("__elrond_sys0_timer_settime")))
long __elrond_sys_timer_settime(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_timer_delete(va_list args);
__attribute__((weak, alias("__elrond_sys0_timer_delete")))
long __elrond_sys_timer_delete(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_clock_settime(va_list args);
__attribute__((weak, alias("__elrond_sys0_clock_settime")))
long __elrond_sys_clock_settime(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_clock_gettime(va_list args);
__attribute__((weak, alias("__elrond_sys0_clock_gettime")))
long __elrond_sys_clock_gettime(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_clock_getres(va_list args);
__attribute__((weak, alias("__elrond_sys0_clock_getres")))
long __elrond_sys_clock_getres(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_clock_nanosleep(va_list args);
__attribute__((weak, alias("__elrond_sys0_clock_nanosleep")))
long __elrond_sys_clock_nanosleep(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_syslog(va_list args);
__attribute__((weak, alias("__elrond_sys0_syslog")))
long __elrond_sys_syslog(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_ptrace(va_list args);
__attribute__((weak, alias("__elrond_sys0_ptrace")))
long __elrond_sys_ptrace(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_setparam(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_setparam")))
long __elrond_sys_sched_setparam(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_setscheduler(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_setscheduler")))
long __elrond_sys_sched_setscheduler(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_getscheduler(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_getscheduler")))
long __elrond_sys_sched_getscheduler(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_getparam(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_getparam")))
long __elrond_sys_sched_getparam(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_setaffinity(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_setaffinity")))
long __elrond_sys_sched_setaffinity(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_getaffinity(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_getaffinity")))
long __elrond_sys_sched_getaffinity(va_list args);

extern long __elrond_sys0_sched_yield(va_list args);
__attribute__((weak))
long __elrond_sys_sched_yield(va_list args) {
    return __elrond_sys0_sched_yield(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_get_priority_max(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_get_priority_max")))
long __elrond_sys_sched_get_priority_max(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_get_priority_min(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_get_priority_min")))
long __elrond_sys_sched_get_priority_min(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_rr_get_interval(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_rr_get_interval")))
long __elrond_sys_sched_rr_get_interval(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_restart_syscall(va_list args);
__attribute__((weak, alias("__elrond_sys0_restart_syscall")))
long __elrond_sys_restart_syscall(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_kill(va_list args);
__attribute__((weak, alias("__elrond_sys0_kill")))
long __elrond_sys_kill(va_list args);

extern long __elrond_sys0_tkill(va_list args);
__attribute__((weak))
long __elrond_sys_tkill(va_list args) {
    return __elrond_sys0_tkill(args);
}

extern long __elrond_sys0_tgkill(va_list args);
__attribute__((weak))
long __elrond_sys_tgkill(va_list args) {
    return __elrond_sys0_tgkill(args);
}

extern long __elrond_sys0_sigaltstack(va_list args);
__attribute__((weak))
long __elrond_sys_sigaltstack(va_list args) {
    return __elrond_sys0_sigaltstack(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_rt_sigsuspend(va_list args);
__attribute__((weak, alias("__elrond_sys0_rt_sigsuspend")))
long __elrond_sys_rt_sigsuspend(va_list args);

extern long __elrond_sys0_rt_sigaction(va_list args);
__attribute__((weak))
long __elrond_sys_rt_sigaction(va_list args) {
    return __elrond_sys0_rt_sigaction(args);
}

extern long __elrond_sys0_rt_sigprocmask(va_list args);
__attribute__((weak))
long __elrond_sys_rt_sigprocmask(va_list args) {
    return __elrond_sys0_rt_sigprocmask(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_rt_sigpending(va_list args);
__attribute__((weak, alias("__elrond_sys0_rt_sigpending")))
long __elrond_sys_rt_sigpending(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_rt_sigtimedwait(va_list args);
__attribute__((weak, alias("__elrond_sys0_rt_sigtimedwait")))
long __elrond_sys_rt_sigtimedwait(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_rt_sigqueueinfo(va_list args);
__attribute__((weak, alias("__elrond_sys0_rt_sigqueueinfo")))
long __elrond_sys_rt_sigqueueinfo(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_rt_sigreturn(va_list args);
__attribute__((weak, alias("__elrond_sys0_rt_sigreturn")))
long __elrond_sys_rt_sigreturn(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setpriority(va_list args);
__attribute__((weak, alias("__elrond_sys0_setpriority")))
long __elrond_sys_setpriority(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getpriority(va_list args);
__attribute__((weak, alias("__elrond_sys0_getpriority")))
long __elrond_sys_getpriority(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_reboot(va_list args);
__attribute__((weak, alias("__elrond_sys0_reboot")))
long __elrond_sys_reboot(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setregid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setregid")))
long __elrond_sys_setregid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setgid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setgid")))
long __elrond_sys_setgid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setreuid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setreuid")))
long __elrond_sys_setreuid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setuid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setuid")))
long __elrond_sys_setuid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setresuid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setresuid")))
long __elrond_sys_setresuid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getresuid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getresuid")))
long __elrond_sys_getresuid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setresgid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setresgid")))
long __elrond_sys_setresgid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getresgid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getresgid")))
long __elrond_sys_getresgid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setfsuid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setfsuid")))
long __elrond_sys_setfsuid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setfsgid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setfsgid")))
long __elrond_sys_setfsgid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_times(va_list args);
__attribute__((weak, alias("__elrond_sys0_times")))
long __elrond_sys_times(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setpgid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setpgid")))
long __elrond_sys_setpgid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getpgid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getpgid")))
long __elrond_sys_getpgid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getsid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getsid")))
long __elrond_sys_getsid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setsid(va_list args);
__attribute__((weak, alias("__elrond_sys0_setsid")))
long __elrond_sys_setsid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getgroups(va_list args);
__attribute__((weak, alias("__elrond_sys0_getgroups")))
long __elrond_sys_getgroups(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setgroups(va_list args);
__attribute__((weak, alias("__elrond_sys0_setgroups")))
long __elrond_sys_setgroups(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_uname(va_list args);
__attribute__((weak, alias("__elrond_sys0_uname")))
long __elrond_sys_uname(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sethostname(va_list args);
__attribute__((weak, alias("__elrond_sys0_sethostname")))
long __elrond_sys_sethostname(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setdomainname(va_list args);
__attribute__((weak, alias("__elrond_sys0_setdomainname")))
long __elrond_sys_setdomainname(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getrlimit(va_list args);
__attribute__((weak, alias("__elrond_sys0_getrlimit")))
long __elrond_sys_getrlimit(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setrlimit(va_list args);
__attribute__((weak, alias("__elrond_sys0_setrlimit")))
long __elrond_sys_setrlimit(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getrusage(va_list args);
__attribute__((weak, alias("__elrond_sys0_getrusage")))
long __elrond_sys_getrusage(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_umask(va_list args);
__attribute__((weak, alias("__elrond_sys0_umask")))
long __elrond_sys_umask(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_prctl(va_list args);
__attribute__((weak, alias("__elrond_sys0_prctl")))
long __elrond_sys_prctl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getcpu(va_list args);
__attribute__((weak, alias("__elrond_sys0_getcpu")))
long __elrond_sys_getcpu(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_gettimeofday(va_list args);
__attribute__((weak, alias("__elrond_sys0_gettimeofday")))
long __elrond_sys_gettimeofday(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_settimeofday(va_list args);
__attribute__((weak, alias("__elrond_sys0_settimeofday")))
long __elrond_sys_settimeofday(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_adjtimex(va_list args);
__attribute__((weak, alias("__elrond_sys0_adjtimex")))
long __elrond_sys_adjtimex(va_list args);

extern long __elrond_sys0_getpid(va_list args);
__attribute__((weak))
long __elrond_sys_getpid(va_list args) {
    return __elrond_sys0_getpid(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getppid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getppid")))
long __elrond_sys_getppid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getuid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getuid")))
long __elrond_sys_getuid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_geteuid(va_list args);
__attribute__((weak, alias("__elrond_sys0_geteuid")))
long __elrond_sys_geteuid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getgid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getgid")))
long __elrond_sys_getgid(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getegid(va_list args);
__attribute__((weak, alias("__elrond_sys0_getegid")))
long __elrond_sys_getegid(va_list args);

extern long __elrond_sys0_gettid(va_list args);
__attribute__((weak))
long __elrond_sys_gettid(va_list args) {
    return __elrond_sys0_gettid(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sysinfo(va_list args);
__attribute__((weak, alias("__elrond_sys0_sysinfo")))
long __elrond_sys_sysinfo(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mq_open(va_list args);
__attribute__((weak, alias("__elrond_sys0_mq_open")))
long __elrond_sys_mq_open(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mq_unlink(va_list args);
__attribute__((weak, alias("__elrond_sys0_mq_unlink")))
long __elrond_sys_mq_unlink(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mq_timedsend(va_list args);
__attribute__((weak, alias("__elrond_sys0_mq_timedsend")))
long __elrond_sys_mq_timedsend(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mq_timedreceive(va_list args);
__attribute__((weak, alias("__elrond_sys0_mq_timedreceive")))
long __elrond_sys_mq_timedreceive(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mq_notify(va_list args);
__attribute__((weak, alias("__elrond_sys0_mq_notify")))
long __elrond_sys_mq_notify(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mq_getsetattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_mq_getsetattr")))
long __elrond_sys_mq_getsetattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_msgget(va_list args);
__attribute__((weak, alias("__elrond_sys0_msgget")))
long __elrond_sys_msgget(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_msgctl(va_list args);
__attribute__((weak, alias("__elrond_sys0_msgctl")))
long __elrond_sys_msgctl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_msgrcv(va_list args);
__attribute__((weak, alias("__elrond_sys0_msgrcv")))
long __elrond_sys_msgrcv(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_msgsnd(va_list args);
__attribute__((weak, alias("__elrond_sys0_msgsnd")))
long __elrond_sys_msgsnd(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_semget(va_list args);
__attribute__((weak, alias("__elrond_sys0_semget")))
long __elrond_sys_semget(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_semctl(va_list args);
__attribute__((weak, alias("__elrond_sys0_semctl")))
long __elrond_sys_semctl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_semtimedop(va_list args);
__attribute__((weak, alias("__elrond_sys0_semtimedop")))
long __elrond_sys_semtimedop(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_semop(va_list args);
__attribute__((weak, alias("__elrond_sys0_semop")))
long __elrond_sys_semop(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_shmget(va_list args);
__attribute__((weak, alias("__elrond_sys0_shmget")))
long __elrond_sys_shmget(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_shmctl(va_list args);
__attribute__((weak, alias("__elrond_sys0_shmctl")))
long __elrond_sys_shmctl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_shmat(va_list args);
__attribute__((weak, alias("__elrond_sys0_shmat")))
long __elrond_sys_shmat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_shmdt(va_list args);
__attribute__((weak, alias("__elrond_sys0_shmdt")))
long __elrond_sys_shmdt(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_socket(va_list args);
__attribute__((weak, alias("__elrond_sys0_socket")))
long __elrond_sys_socket(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_socketpair(va_list args);
__attribute__((weak, alias("__elrond_sys0_socketpair")))
long __elrond_sys_socketpair(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_bind(va_list args);
__attribute__((weak, alias("__elrond_sys0_bind")))
long __elrond_sys_bind(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_listen(va_list args);
__attribute__((weak, alias("__elrond_sys0_listen")))
long __elrond_sys_listen(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_accept(va_list args);
__attribute__((weak, alias("__elrond_sys0_accept")))
long __elrond_sys_accept(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_connect(va_list args);
__attribute__((weak, alias("__elrond_sys0_connect")))
long __elrond_sys_connect(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getsockname(va_list args);
__attribute__((weak, alias("__elrond_sys0_getsockname")))
long __elrond_sys_getsockname(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getpeername(va_list args);
__attribute__((weak, alias("__elrond_sys0_getpeername")))
long __elrond_sys_getpeername(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sendto(va_list args);
__attribute__((weak, alias("__elrond_sys0_sendto")))
long __elrond_sys_sendto(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_recvfrom(va_list args);
__attribute__((weak, alias("__elrond_sys0_recvfrom")))
long __elrond_sys_recvfrom(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setsockopt(va_list args);
__attribute__((weak, alias("__elrond_sys0_setsockopt")))
long __elrond_sys_setsockopt(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getsockopt(va_list args);
__attribute__((weak, alias("__elrond_sys0_getsockopt")))
long __elrond_sys_getsockopt(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_shutdown(va_list args);
__attribute__((weak, alias("__elrond_sys0_shutdown")))
long __elrond_sys_shutdown(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sendmsg(va_list args);
__attribute__((weak, alias("__elrond_sys0_sendmsg")))
long __elrond_sys_sendmsg(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_recvmsg(va_list args);
__attribute__((weak, alias("__elrond_sys0_recvmsg")))
long __elrond_sys_recvmsg(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_readahead(va_list args);
__attribute__((weak, alias("__elrond_sys0_readahead")))
long __elrond_sys_readahead(va_list args);

extern long __elrond_sys0_brk(va_list args);
__attribute__((weak))
long __elrond_sys_brk(va_list args) {
    return __elrond_sys0_brk(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_munmap(va_list args);
__attribute__((weak, alias("__elrond_sys0_munmap")))
long __elrond_sys_munmap(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mremap(va_list args);
__attribute__((weak, alias("__elrond_sys0_mremap")))
long __elrond_sys_mremap(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_add_key(va_list args);
__attribute__((weak, alias("__elrond_sys0_add_key")))
long __elrond_sys_add_key(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_request_key(va_list args);
__attribute__((weak, alias("__elrond_sys0_request_key")))
long __elrond_sys_request_key(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_keyctl(va_list args);
__attribute__((weak, alias("__elrond_sys0_keyctl")))
long __elrond_sys_keyctl(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_clone(va_list args);
__attribute__((weak, alias("__elrond_sys0_clone")))
long __elrond_sys_clone(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_execve(va_list args);
__attribute__((weak, alias("__elrond_sys0_execve")))
long __elrond_sys_execve(va_list args);

extern long __elrond_sys0_mmap(va_list args);
__attribute__((weak))
long __elrond_sys_mmap(va_list args) {
    return __elrond_sys0_mmap(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fadvise64(va_list args);
__attribute__((weak, alias("__elrond_sys0_fadvise64")))
long __elrond_sys_fadvise64(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_swapon(va_list args);
__attribute__((weak, alias("__elrond_sys0_swapon")))
long __elrond_sys_swapon(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_swapoff(va_list args);
__attribute__((weak, alias("__elrond_sys0_swapoff")))
long __elrond_sys_swapoff(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mprotect(va_list args);
__attribute__((weak, alias("__elrond_sys0_mprotect")))
long __elrond_sys_mprotect(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_msync(va_list args);
__attribute__((weak, alias("__elrond_sys0_msync")))
long __elrond_sys_msync(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mlock(va_list args);
__attribute__((weak, alias("__elrond_sys0_mlock")))
long __elrond_sys_mlock(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_munlock(va_list args);
__attribute__((weak, alias("__elrond_sys0_munlock")))
long __elrond_sys_munlock(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mlockall(va_list args);
__attribute__((weak, alias("__elrond_sys0_mlockall")))
long __elrond_sys_mlockall(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_munlockall(va_list args);
__attribute__((weak, alias("__elrond_sys0_munlockall")))
long __elrond_sys_munlockall(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mincore(va_list args);
__attribute__((weak, alias("__elrond_sys0_mincore")))
long __elrond_sys_mincore(va_list args);

extern long __elrond_sys0_madvise(va_list args);
__attribute__((weak))
long __elrond_sys_madvise(va_list args) {
    return __elrond_sys0_madvise(args);
}

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_remap_file_pages(va_list args);
__attribute__((weak, alias("__elrond_sys0_remap_file_pages")))
long __elrond_sys_remap_file_pages(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mbind(va_list args);
__attribute__((weak, alias("__elrond_sys0_mbind")))
long __elrond_sys_mbind(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_get_mempolicy(va_list args);
__attribute__((weak, alias("__elrond_sys0_get_mempolicy")))
long __elrond_sys_get_mempolicy(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_set_mempolicy(va_list args);
__attribute__((weak, alias("__elrond_sys0_set_mempolicy")))
long __elrond_sys_set_mempolicy(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_migrate_pages(va_list args);
__attribute__((weak, alias("__elrond_sys0_migrate_pages")))
long __elrond_sys_migrate_pages(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_move_pages(va_list args);
__attribute__((weak, alias("__elrond_sys0_move_pages")))
long __elrond_sys_move_pages(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_rt_tgsigqueueinfo(va_list args);
__attribute__((weak, alias("__elrond_sys0_rt_tgsigqueueinfo")))
long __elrond_sys_rt_tgsigqueueinfo(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_perf_event_open(va_list args);
__attribute__((weak, alias("__elrond_sys0_perf_event_open")))
long __elrond_sys_perf_event_open(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_accept4(va_list args);
__attribute__((weak, alias("__elrond_sys0_accept4")))
long __elrond_sys_accept4(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_recvmmsg(va_list args);
__attribute__((weak, alias("__elrond_sys0_recvmmsg")))
long __elrond_sys_recvmmsg(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_or1k_atomic(va_list args);
__attribute__((weak, alias("__elrond_sys0_or1k_atomic")))
long __elrond_sys_or1k_atomic(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_wait4(va_list args);
__attribute__((weak, alias("__elrond_sys0_wait4")))
long __elrond_sys_wait4(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_prlimit64(va_list args);
__attribute__((weak, alias("__elrond_sys0_prlimit64")))
long __elrond_sys_prlimit64(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fanotify_init(va_list args);
__attribute__((weak, alias("__elrond_sys0_fanotify_init")))
long __elrond_sys_fanotify_init(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_fanotify_mark(va_list args);
__attribute__((weak, alias("__elrond_sys0_fanotify_mark")))
long __elrond_sys_fanotify_mark(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_name_to_handle_at(va_list args);
__attribute__((weak, alias("__elrond_sys0_name_to_handle_at")))
long __elrond_sys_name_to_handle_at(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_open_by_handle_at(va_list args);
__attribute__((weak, alias("__elrond_sys0_open_by_handle_at")))
long __elrond_sys_open_by_handle_at(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_clock_adjtime(va_list args);
__attribute__((weak, alias("__elrond_sys0_clock_adjtime")))
long __elrond_sys_clock_adjtime(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_syncfs(va_list args);
__attribute__((weak, alias("__elrond_sys0_syncfs")))
long __elrond_sys_syncfs(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_setns(va_list args);
__attribute__((weak, alias("__elrond_sys0_setns")))
long __elrond_sys_setns(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sendmmsg(va_list args);
__attribute__((weak, alias("__elrond_sys0_sendmmsg")))
long __elrond_sys_sendmmsg(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_process_vm_readv(va_list args);
__attribute__((weak, alias("__elrond_sys0_process_vm_readv")))
long __elrond_sys_process_vm_readv(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_process_vm_writev(va_list args);
__attribute__((weak, alias("__elrond_sys0_process_vm_writev")))
long __elrond_sys_process_vm_writev(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_kcmp(va_list args);
__attribute__((weak, alias("__elrond_sys0_kcmp")))
long __elrond_sys_kcmp(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_finit_module(va_list args);
__attribute__((weak, alias("__elrond_sys0_finit_module")))
long __elrond_sys_finit_module(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_setattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_setattr")))
long __elrond_sys_sched_setattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_sched_getattr(va_list args);
__attribute__((weak, alias("__elrond_sys0_sched_getattr")))
long __elrond_sys_sched_getattr(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_renameat2(va_list args);
__attribute__((weak, alias("__elrond_sys0_renameat2")))
long __elrond_sys_renameat2(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_seccomp(va_list args);
__attribute__((weak, alias("__elrond_sys0_seccomp")))
long __elrond_sys_seccomp(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_getrandom(va_list args);
__attribute__((weak, alias("__elrond_sys0_getrandom")))
long __elrond_sys_getrandom(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_memfd_create(va_list args);
__attribute__((weak, alias("__elrond_sys0_memfd_create")))
long __elrond_sys_memfd_create(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_bpf(va_list args);
__attribute__((weak, alias("__elrond_sys0_bpf")))
long __elrond_sys_bpf(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_execveat(va_list args);
__attribute__((weak, alias("__elrond_sys0_execveat")))
long __elrond_sys_execveat(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_userfaultfd(va_list args);
__attribute__((weak, alias("__elrond_sys0_userfaultfd")))
long __elrond_sys_userfaultfd(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_membarrier(va_list args);
__attribute__((weak, alias("__elrond_sys0_membarrier")))
long __elrond_sys_membarrier(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_mlock2(va_list args);
__attribute__((weak, alias("__elrond_sys0_mlock2")))
long __elrond_sys_mlock2(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_copy_file_range(va_list args);
__attribute__((weak, alias("__elrond_sys0_copy_file_range")))
long __elrond_sys_copy_file_range(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_preadv2(va_list args);
__attribute__((weak, alias("__elrond_sys0_preadv2")))
long __elrond_sys_preadv2(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pwritev2(va_list args);
__attribute__((weak, alias("__elrond_sys0_pwritev2")))
long __elrond_sys_pwritev2(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pkey_mprotect(va_list args);
__attribute__((weak, alias("__elrond_sys0_pkey_mprotect")))
long __elrond_sys_pkey_mprotect(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pkey_alloc(va_list args);
__attribute__((weak, alias("__elrond_sys0_pkey_alloc")))
long __elrond_sys_pkey_alloc(va_list args);

__attribute__((alias("__elrond_sys0_default")))
long __elrond_sys0_pkey_free(va_list args);
__attribute__((weak, alias("__elrond_sys0_pkey_free")))
long __elrond_sys_pkey_free(va_list args);

long __elrond_syscall_count = 291;
long (*__elrond_syscalls[291])(va_list args) = {
    /* 0 */ [__NR_io_setup] = __elrond_sys_io_setup,
    /* 1 */ [__NR_io_destroy] = __elrond_sys_io_destroy,
    /* 2 */ [__NR_io_submit] = __elrond_sys_io_submit,
    /* 3 */ [__NR_io_cancel] = __elrond_sys_io_cancel,
    /* 4 */ [__NR_io_getevents] = __elrond_sys_io_getevents,
    /* 5 */ [__NR_setxattr] = __elrond_sys_setxattr,
    /* 6 */ [__NR_lsetxattr] = __elrond_sys_lsetxattr,
    /* 7 */ [__NR_fsetxattr] = __elrond_sys_fsetxattr,
    /* 8 */ [__NR_getxattr] = __elrond_sys_getxattr,
    /* 9 */ [__NR_lgetxattr] = __elrond_sys_lgetxattr,
    /* 10 */ [__NR_fgetxattr] = __elrond_sys_fgetxattr,
    /* 11 */ [__NR_listxattr] = __elrond_sys_listxattr,
    /* 12 */ [__NR_llistxattr] = __elrond_sys_llistxattr,
    /* 13 */ [__NR_flistxattr] = __elrond_sys_flistxattr,
    /* 14 */ [__NR_removexattr] = __elrond_sys_removexattr,
    /* 15 */ [__NR_lremovexattr] = __elrond_sys_lremovexattr,
    /* 16 */ [__NR_fremovexattr] = __elrond_sys_fremovexattr,
    /* 17 */ [__NR_getcwd] = __elrond_sys_getcwd,
    /* 18 */ [__NR_lookup_dcookie] = __elrond_sys_lookup_dcookie,
    /* 19 */ [__NR_eventfd2] = __elrond_sys_eventfd2,
    /* 20 */ [__NR_epoll_create1] = __elrond_sys_epoll_create1,
    /* 21 */ [__NR_epoll_ctl] = __elrond_sys_epoll_ctl,
    /* 22 */ [__NR_epoll_pwait] = __elrond_sys_epoll_pwait,
    /* 23 */ [__NR_dup] = __elrond_sys_dup,
    /* 24 */ [__NR_dup3] = __elrond_sys_dup3,
    /* 25 */ [__NR_fcntl] = __elrond_sys_fcntl,
    /* 26 */ [__NR_inotify_init1] = __elrond_sys_inotify_init1,
    /* 27 */ [__NR_inotify_add_watch] = __elrond_sys_inotify_add_watch,
    /* 28 */ [__NR_inotify_rm_watch] = __elrond_sys_inotify_rm_watch,
    /* 29 */ [__NR_ioctl] = __elrond_sys_ioctl,
    /* 30 */ [__NR_ioprio_set] = __elrond_sys_ioprio_set,
    /* 31 */ [__NR_ioprio_get] = __elrond_sys_ioprio_get,
    /* 32 */ [__NR_flock] = __elrond_sys_flock,
    /* 33 */ [__NR_mknodat] = __elrond_sys_mknodat,
    /* 34 */ [__NR_mkdirat] = __elrond_sys_mkdirat,
    /* 35 */ [__NR_unlinkat] = __elrond_sys_unlinkat,
    /* 36 */ [__NR_symlinkat] = __elrond_sys_symlinkat,
    /* 37 */ [__NR_linkat] = __elrond_sys_linkat,
    /* 38 */ [__NR_renameat] = __elrond_sys_renameat,
    /* 39 */ [__NR_umount2] = __elrond_sys_umount2,
    /* 40 */ [__NR_mount] = __elrond_sys_mount,
    /* 41 */ [__NR_pivot_root] = __elrond_sys_pivot_root,
    /* 42 */ [__NR_nfsservctl] = __elrond_sys_nfsservctl,
    /* 43 */ [__NR_statfs] = __elrond_sys_statfs,
    /* 44 */ [__NR_fstatfs] = __elrond_sys_fstatfs,
    /* 45 */ [__NR_truncate] = __elrond_sys_truncate,
    /* 46 */ [__NR_ftruncate] = __elrond_sys_ftruncate,
    /* 47 */ [__NR_fallocate] = __elrond_sys_fallocate,
    /* 48 */ [__NR_faccessat] = __elrond_sys_faccessat,
    /* 49 */ [__NR_chdir] = __elrond_sys_chdir,
    /* 50 */ [__NR_fchdir] = __elrond_sys_fchdir,
    /* 51 */ [__NR_chroot] = __elrond_sys_chroot,
    /* 52 */ [__NR_fchmod] = __elrond_sys_fchmod,
    /* 53 */ [__NR_fchmodat] = __elrond_sys_fchmodat,
    /* 54 */ [__NR_fchownat] = __elrond_sys_fchownat,
    /* 55 */ [__NR_fchown] = __elrond_sys_fchown,
    /* 56 */ [__NR_openat] = __elrond_sys_openat,
    /* 57 */ [__NR_close] = __elrond_sys_close,
    /* 58 */ [__NR_vhangup] = __elrond_sys_vhangup,
    /* 59 */ [__NR_pipe2] = __elrond_sys_pipe2,
    /* 60 */ [__NR_quotactl] = __elrond_sys_quotactl,
    /* 61 */ [__NR_getdents64] = __elrond_sys_getdents64,
    /* 62 */ [__NR_lseek] = __elrond_sys_lseek,
    /* 63 */ [__NR_read] = __elrond_sys_read,
    /* 64 */ [__NR_write] = __elrond_sys_write,
    /* 65 */ [__NR_readv] = __elrond_sys_readv,
    /* 66 */ [__NR_writev] = __elrond_sys_writev,
    /* 67 */ [__NR_pread64] = __elrond_sys_pread64,
    /* 68 */ [__NR_pwrite64] = __elrond_sys_pwrite64,
    /* 69 */ [__NR_preadv] = __elrond_sys_preadv,
    /* 70 */ [__NR_pwritev] = __elrond_sys_pwritev,
    /* 71 */ [__NR_sendfile] = __elrond_sys_sendfile,
    /* 72 */ [__NR_pselect6] = __elrond_sys_pselect6,
    /* 73 */ [__NR_ppoll] = __elrond_sys_ppoll,
    /* 74 */ [__NR_signalfd4] = __elrond_sys_signalfd4,
    /* 75 */ [__NR_vmsplice] = __elrond_sys_vmsplice,
    /* 76 */ [__NR_splice] = __elrond_sys_splice,
    /* 77 */ [__NR_tee] = __elrond_sys_tee,
    /* 78 */ [__NR_readlinkat] = __elrond_sys_readlinkat,
    /* 79 */ [__NR_fstatat] = __elrond_sys_fstatat,
    /* 80 */ [__NR_fstat] = __elrond_sys_fstat,
    /* 81 */ [__NR_sync] = __elrond_sys_sync,
    /* 82 */ [__NR_fsync] = __elrond_sys_fsync,
    /* 83 */ [__NR_fdatasync] = __elrond_sys_fdatasync,
    /* 84 */ [__NR_sync_file_range] = __elrond_sys_sync_file_range,
    /* 85 */ [__NR_timerfd_create] = __elrond_sys_timerfd_create,
    /* 86 */ [__NR_timerfd_settime] = __elrond_sys_timerfd_settime,
    /* 87 */ [__NR_timerfd_gettime] = __elrond_sys_timerfd_gettime,
    /* 88 */ [__NR_utimensat] = __elrond_sys_utimensat,
    /* 89 */ [__NR_acct] = __elrond_sys_acct,
    /* 90 */ [__NR_capget] = __elrond_sys_capget,
    /* 91 */ [__NR_capset] = __elrond_sys_capset,
    /* 92 */ [__NR_personality] = __elrond_sys_personality,
    /* 93 */ [__NR_exit] = __elrond_sys_exit,
    /* 94 */ [__NR_exit_group] = __elrond_sys_exit_group,
    /* 95 */ [__NR_waitid] = __elrond_sys_waitid,
    /* 96 */ [__NR_set_tid_address] = __elrond_sys_set_tid_address,
    /* 97 */ [__NR_unshare] = __elrond_sys_unshare,
    /* 98 */ [__NR_futex] = __elrond_sys_futex,
    /* 99 */ [__NR_set_robust_list] = __elrond_sys_set_robust_list,
    /* 100 */ [__NR_get_robust_list] = __elrond_sys_get_robust_list,
    /* 101 */ [__NR_nanosleep] = __elrond_sys_nanosleep,
    /* 102 */ [__NR_getitimer] = __elrond_sys_getitimer,
    /* 103 */ [__NR_setitimer] = __elrond_sys_setitimer,
    /* 104 */ [__NR_kexec_load] = __elrond_sys_kexec_load,
    /* 105 */ [__NR_init_module] = __elrond_sys_init_module,
    /* 106 */ [__NR_delete_module] = __elrond_sys_delete_module,
    /* 107 */ [__NR_timer_create] = __elrond_sys_timer_create,
    /* 108 */ [__NR_timer_gettime] = __elrond_sys_timer_gettime,
    /* 109 */ [__NR_timer_getoverrun] = __elrond_sys_timer_getoverrun,
    /* 110 */ [__NR_timer_settime] = __elrond_sys_timer_settime,
    /* 111 */ [__NR_timer_delete] = __elrond_sys_timer_delete,
    /* 112 */ [__NR_clock_settime] = __elrond_sys_clock_settime,
    /* 113 */ [__NR_clock_gettime] = __elrond_sys_clock_gettime,
    /* 114 */ [__NR_clock_getres] = __elrond_sys_clock_getres,
    /* 115 */ [__NR_clock_nanosleep] = __elrond_sys_clock_nanosleep,
    /* 116 */ [__NR_syslog] = __elrond_sys_syslog,
    /* 117 */ [__NR_ptrace] = __elrond_sys_ptrace,
    /* 118 */ [__NR_sched_setparam] = __elrond_sys_sched_setparam,
    /* 119 */ [__NR_sched_setscheduler] = __elrond_sys_sched_setscheduler,
    /* 120 */ [__NR_sched_getscheduler] = __elrond_sys_sched_getscheduler,
    /* 121 */ [__NR_sched_getparam] = __elrond_sys_sched_getparam,
    /* 122 */ [__NR_sched_setaffinity] = __elrond_sys_sched_setaffinity,
    /* 123 */ [__NR_sched_getaffinity] = __elrond_sys_sched_getaffinity,
    /* 124 */ [__NR_sched_yield] = __elrond_sys_sched_yield,
    /* 125 */ [__NR_sched_get_priority_max] = __elrond_sys_sched_get_priority_max,
    /* 126 */ [__NR_sched_get_priority_min] = __elrond_sys_sched_get_priority_min,
    /* 127 */ [__NR_sched_rr_get_interval] = __elrond_sys_sched_rr_get_interval,
    /* 128 */ [__NR_restart_syscall] = __elrond_sys_restart_syscall,
    /* 129 */ [__NR_kill] = __elrond_sys_kill,
    /* 130 */ [__NR_tkill] = __elrond_sys_tkill,
    /* 131 */ [__NR_tgkill] = __elrond_sys_tgkill,
    /* 132 */ [__NR_sigaltstack] = __elrond_sys_sigaltstack,
    /* 133 */ [__NR_rt_sigsuspend] = __elrond_sys_rt_sigsuspend,
    /* 134 */ [__NR_rt_sigaction] = __elrond_sys_rt_sigaction,
    /* 135 */ [__NR_rt_sigprocmask] = __elrond_sys_rt_sigprocmask,
    /* 136 */ [__NR_rt_sigpending] = __elrond_sys_rt_sigpending,
    /* 137 */ [__NR_rt_sigtimedwait] = __elrond_sys_rt_sigtimedwait,
    /* 138 */ [__NR_rt_sigqueueinfo] = __elrond_sys_rt_sigqueueinfo,
    /* 139 */ [__NR_rt_sigreturn] = __elrond_sys_rt_sigreturn,
    /* 140 */ [__NR_setpriority] = __elrond_sys_setpriority,
    /* 141 */ [__NR_getpriority] = __elrond_sys_getpriority,
    /* 142 */ [__NR_reboot] = __elrond_sys_reboot,
    /* 143 */ [__NR_setregid] = __elrond_sys_setregid,
    /* 144 */ [__NR_setgid] = __elrond_sys_setgid,
    /* 145 */ [__NR_setreuid] = __elrond_sys_setreuid,
    /* 146 */ [__NR_setuid] = __elrond_sys_setuid,
    /* 147 */ [__NR_setresuid] = __elrond_sys_setresuid,
    /* 148 */ [__NR_getresuid] = __elrond_sys_getresuid,
    /* 149 */ [__NR_setresgid] = __elrond_sys_setresgid,
    /* 150 */ [__NR_getresgid] = __elrond_sys_getresgid,
    /* 151 */ [__NR_setfsuid] = __elrond_sys_setfsuid,
    /* 152 */ [__NR_setfsgid] = __elrond_sys_setfsgid,
    /* 153 */ [__NR_times] = __elrond_sys_times,
    /* 154 */ [__NR_setpgid] = __elrond_sys_setpgid,
    /* 155 */ [__NR_getpgid] = __elrond_sys_getpgid,
    /* 156 */ [__NR_getsid] = __elrond_sys_getsid,
    /* 157 */ [__NR_setsid] = __elrond_sys_setsid,
    /* 158 */ [__NR_getgroups] = __elrond_sys_getgroups,
    /* 159 */ [__NR_setgroups] = __elrond_sys_setgroups,
    /* 160 */ [__NR_uname] = __elrond_sys_uname,
    /* 161 */ [__NR_sethostname] = __elrond_sys_sethostname,
    /* 162 */ [__NR_setdomainname] = __elrond_sys_setdomainname,
    /* 163 */ [__NR_getrlimit] = __elrond_sys_getrlimit,
    /* 164 */ [__NR_setrlimit] = __elrond_sys_setrlimit,
    /* 165 */ [__NR_getrusage] = __elrond_sys_getrusage,
    /* 166 */ [__NR_umask] = __elrond_sys_umask,
    /* 167 */ [__NR_prctl] = __elrond_sys_prctl,
    /* 168 */ [__NR_getcpu] = __elrond_sys_getcpu,
    /* 169 */ [__NR_gettimeofday] = __elrond_sys_gettimeofday,
    /* 170 */ [__NR_settimeofday] = __elrond_sys_settimeofday,
    /* 171 */ [__NR_adjtimex] = __elrond_sys_adjtimex,
    /* 172 */ [__NR_getpid] = __elrond_sys_getpid,
    /* 173 */ [__NR_getppid] = __elrond_sys_getppid,
    /* 174 */ [__NR_getuid] = __elrond_sys_getuid,
    /* 175 */ [__NR_geteuid] = __elrond_sys_geteuid,
    /* 176 */ [__NR_getgid] = __elrond_sys_getgid,
    /* 177 */ [__NR_getegid] = __elrond_sys_getegid,
    /* 178 */ [__NR_gettid] = __elrond_sys_gettid,
    /* 179 */ [__NR_sysinfo] = __elrond_sys_sysinfo,
    /* 180 */ [__NR_mq_open] = __elrond_sys_mq_open,
    /* 181 */ [__NR_mq_unlink] = __elrond_sys_mq_unlink,
    /* 182 */ [__NR_mq_timedsend] = __elrond_sys_mq_timedsend,
    /* 183 */ [__NR_mq_timedreceive] = __elrond_sys_mq_timedreceive,
    /* 184 */ [__NR_mq_notify] = __elrond_sys_mq_notify,
    /* 185 */ [__NR_mq_getsetattr] = __elrond_sys_mq_getsetattr,
    /* 186 */ [__NR_msgget] = __elrond_sys_msgget,
    /* 187 */ [__NR_msgctl] = __elrond_sys_msgctl,
    /* 188 */ [__NR_msgrcv] = __elrond_sys_msgrcv,
    /* 189 */ [__NR_msgsnd] = __elrond_sys_msgsnd,
    /* 190 */ [__NR_semget] = __elrond_sys_semget,
    /* 191 */ [__NR_semctl] = __elrond_sys_semctl,
    /* 192 */ [__NR_semtimedop] = __elrond_sys_semtimedop,
    /* 193 */ [__NR_semop] = __elrond_sys_semop,
    /* 194 */ [__NR_shmget] = __elrond_sys_shmget,
    /* 195 */ [__NR_shmctl] = __elrond_sys_shmctl,
    /* 196 */ [__NR_shmat] = __elrond_sys_shmat,
    /* 197 */ [__NR_shmdt] = __elrond_sys_shmdt,
    /* 198 */ [__NR_socket] = __elrond_sys_socket,
    /* 199 */ [__NR_socketpair] = __elrond_sys_socketpair,
    /* 200 */ [__NR_bind] = __elrond_sys_bind,
    /* 201 */ [__NR_listen] = __elrond_sys_listen,
    /* 202 */ [__NR_accept] = __elrond_sys_accept,
    /* 203 */ [__NR_connect] = __elrond_sys_connect,
    /* 204 */ [__NR_getsockname] = __elrond_sys_getsockname,
    /* 205 */ [__NR_getpeername] = __elrond_sys_getpeername,
    /* 206 */ [__NR_sendto] = __elrond_sys_sendto,
    /* 207 */ [__NR_recvfrom] = __elrond_sys_recvfrom,
    /* 208 */ [__NR_setsockopt] = __elrond_sys_setsockopt,
    /* 209 */ [__NR_getsockopt] = __elrond_sys_getsockopt,
    /* 210 */ [__NR_shutdown] = __elrond_sys_shutdown,
    /* 211 */ [__NR_sendmsg] = __elrond_sys_sendmsg,
    /* 212 */ [__NR_recvmsg] = __elrond_sys_recvmsg,
    /* 213 */ [__NR_readahead] = __elrond_sys_readahead,
    /* 214 */ [__NR_brk] = __elrond_sys_brk,
    /* 215 */ [__NR_munmap] = __elrond_sys_munmap,
    /* 216 */ [__NR_mremap] = __elrond_sys_mremap,
    /* 217 */ [__NR_add_key] = __elrond_sys_add_key,
    /* 218 */ [__NR_request_key] = __elrond_sys_request_key,
    /* 219 */ [__NR_keyctl] = __elrond_sys_keyctl,
    /* 220 */ [__NR_clone] = __elrond_sys_clone,
    /* 221 */ [__NR_execve] = __elrond_sys_execve,
    /* 222 */ [__NR_mmap] = __elrond_sys_mmap,
    /* 223 */ [__NR_fadvise64] = __elrond_sys_fadvise64,
    /* 224 */ [__NR_swapon] = __elrond_sys_swapon,
    /* 225 */ [__NR_swapoff] = __elrond_sys_swapoff,
    /* 226 */ [__NR_mprotect] = __elrond_sys_mprotect,
    /* 227 */ [__NR_msync] = __elrond_sys_msync,
    /* 228 */ [__NR_mlock] = __elrond_sys_mlock,
    /* 229 */ [__NR_munlock] = __elrond_sys_munlock,
    /* 230 */ [__NR_mlockall] = __elrond_sys_mlockall,
    /* 231 */ [__NR_munlockall] = __elrond_sys_munlockall,
    /* 232 */ [__NR_mincore] = __elrond_sys_mincore,
    /* 233 */ [__NR_madvise] = __elrond_sys_madvise,
    /* 234 */ [__NR_remap_file_pages] = __elrond_sys_remap_file_pages,
    /* 235 */ [__NR_mbind] = __elrond_sys_mbind,
    /* 236 */ [__NR_get_mempolicy] = __elrond_sys_get_mempolicy,
    /* 237 */ [__NR_set_mempolicy] = __elrond_sys_set_mempolicy,
    /* 238 */ [__NR_migrate_pages] = __elrond_sys_migrate_pages,
    /* 239 */ [__NR_move_pages] = __elrond_sys_move_pages,
    /* 240 */ [__NR_rt_tgsigqueueinfo] = __elrond_sys_rt_tgsigqueueinfo,
    /* 241 */ [__NR_perf_event_open] = __elrond_sys_perf_event_open,
    /* 242 */ [__NR_accept4] = __elrond_sys_accept4,
    /* 243 */ [__NR_recvmmsg] = __elrond_sys_recvmmsg,
    /* 244 */ [__NR_or1k_atomic] = __elrond_sys_or1k_atomic,
    /* 260 */ [__NR_wait4] = __elrond_sys_wait4,
    /* 261 */ [__NR_prlimit64] = __elrond_sys_prlimit64,
    /* 262 */ [__NR_fanotify_init] = __elrond_sys_fanotify_init,
    /* 263 */ [__NR_fanotify_mark] = __elrond_sys_fanotify_mark,
    /* 264 */ [__NR_name_to_handle_at] = __elrond_sys_name_to_handle_at,
    /* 265 */ [__NR_open_by_handle_at] = __elrond_sys_open_by_handle_at,
    /* 266 */ [__NR_clock_adjtime] = __elrond_sys_clock_adjtime,
    /* 267 */ [__NR_syncfs] = __elrond_sys_syncfs,
    /* 268 */ [__NR_setns] = __elrond_sys_setns,
    /* 269 */ [__NR_sendmmsg] = __elrond_sys_sendmmsg,
    /* 270 */ [__NR_process_vm_readv] = __elrond_sys_process_vm_readv,
    /* 271 */ [__NR_process_vm_writev] = __elrond_sys_process_vm_writev,
    /* 272 */ [__NR_kcmp] = __elrond_sys_kcmp,
    /* 273 */ [__NR_finit_module] = __elrond_sys_finit_module,
    /* 274 */ [__NR_sched_setattr] = __elrond_sys_sched_setattr,
    /* 275 */ [__NR_sched_getattr] = __elrond_sys_sched_getattr,
    /* 276 */ [__NR_renameat2] = __elrond_sys_renameat2,
    /* 277 */ [__NR_seccomp] = __elrond_sys_seccomp,
    /* 278 */ [__NR_getrandom] = __elrond_sys_getrandom,
    /* 279 */ [__NR_memfd_create] = __elrond_sys_memfd_create,
    /* 280 */ [__NR_bpf] = __elrond_sys_bpf,
    /* 281 */ [__NR_execveat] = __elrond_sys_execveat,
    /* 282 */ [__NR_userfaultfd] = __elrond_sys_userfaultfd,
    /* 283 */ [__NR_membarrier] = __elrond_sys_membarrier,
    /* 284 */ [__NR_mlock2] = __elrond_sys_mlock2,
    /* 285 */ [__NR_copy_file_range] = __elrond_sys_copy_file_range,
    /* 286 */ [__NR_preadv2] = __elrond_sys_preadv2,
    /* 287 */ [__NR_pwritev2] = __elrond_sys_pwritev2,
    /* 288 */ [__NR_pkey_mprotect] = __elrond_sys_pkey_mprotect,
    /* 289 */ [__NR_pkey_alloc] = __elrond_sys_pkey_alloc,
    /* 290 */ [__NR_pkey_free] = __elrond_sys_pkey_free,
};
